require 'test_helper'

class ZvukoveSuboriesControllerTest < ActionController::TestCase
  setup do
    @zvukove_subory = zvukove_subories(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:zvukove_subories)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create zvukove_subory" do
    assert_difference('ZvukoveSubory.count') do
      post :create, zvukove_subory: @zvukove_subory.attributes
    end

    assert_redirected_to zvukove_subory_path(assigns(:zvukove_subory))
  end

  test "should show zvukove_subory" do
    get :show, id: @zvukove_subory
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @zvukove_subory
    assert_response :success
  end

  test "should update zvukove_subory" do
    put :update, id: @zvukove_subory, zvukove_subory: @zvukove_subory.attributes
    assert_redirected_to zvukove_subory_path(assigns(:zvukove_subory))
  end

  test "should destroy zvukove_subory" do
    assert_difference('ZvukoveSubory.count', -1) do
      delete :destroy, id: @zvukove_subory
    end

    assert_redirected_to zvukove_subories_path
  end
end
